Description

To log time you currently need to first select a project, then select the time entries report after which you can log your time against a

project. We need to be able to log time against lots of different projects without always having an issue.

To make this easier it would be nice to have a global time entry form where one can choose the project and enter the hours at the

same time. Almost identical to the currently time logging screen only that you can select a project instead of an issue.

Associated revisions

Revision 8691 - 2012-01-21 15:26 - Jean-Philippe Lang

Enable global time logging at /time_entries/new (#10020).

Revision 8693 - 2012-01-22 11:37 - Jean-Philippe Lang

Fixed that project is ignored when entering an issue id on /time_entries/new form (#10020).

History

#1 - 2012-01-17 17:59 - Etienne Massip

- Category set to Time tracking

#2 - 2012-01-17 18:27 - Olivier Jacquet

- File redmine-timelog.patch added

I don't have Rails experience but here's what I got so far.

- Added project dropdown to the timelog form;

- Modified order of getting project_id in find_project so that the POSTed project_id has priority on the project_id in the URL

What I'd like to achieve:

- When on a time entry form from a project the dropdown shouldn't be there. Then everything can remain as-is;

- When there isn't a project chosen (e.g. on /time_entries/new) there should be a project dropdown and no issue textfield;

- Ideally the project hierarchy is also repeated there so that I can use the Chosen plugin to easily search a project

Some context:

- We currently use tickspot for time tracking but it isn't that user friendly if you have a lot of different projects and we would like to log all time in

redmine because logging in 2 applications was also cumbersome.

#3 - 2012-01-17 18:50 - Olivier Jacquet

It looks like this goes against the architecture of redmine. It really expects a project to be set. I'm thinking to add a general project_id that would allow

access. For example 'all' or 'undefined' something like that.

#4 - 2012-01-21 15:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

2025-05-17 1/2



Feature added in r8691. It covers what you're expecting, except that the issue field was left visible, as there's no reason IMO to prevent the user from

logging time on a specific issue of a project.

#5 - 2012-01-21 16:49 - Ivan Cenov

It is possible to select a project and to enter a number of an issue that is from another project. The result is that the selected project is silently

changed to the one that the issue belongs to. May be some validation on the issue edit control should be added. On the other side this would be

heavy operation in a system where many projects and many issues exist.

#6 - 2012-01-22 11:38 - Jean-Philippe Lang

Ivan Cenov wrote:

It is possible to select a project and to enter a number of an issue that is from another project. The result is that the selected project is silently

changed to the one that the issue belongs to.

 Fixed in r8693.

Files

redmine-timelog.patch 2.31 KB 2012-01-17 Olivier Jacquet
